<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>AAA.lib.pirate.find.base.array</name>
<version>2</version>
<engineversion>25</engineversion>
<description>get the list of pirate bases</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$MajorBase&#160;=&#160;</var><var>null</var></line>
<line linenr="002" indent=""><var>$bases&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>1</var></line>
<line linenr="003" indent=""><var>$bases</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>null</var></line>
<line linenr="004" indent=""><var>$mx&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;x&#160;direction</text></line>
<line linenr="005" indent=""><var>$my&#160;=&#160;</var><text>get&#160;max&#160;sectors&#160;in&#160;y&#160;direction</text></line>
<line linenr="006" indent=""><var>$x&#160;=&#160;</var><var>0</var></line>
<line linenr="007" indent=""><var>while&#160;</var><var>$x</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$mx</var></line>
<line linenr="008" indent="&#160;"><var>$y&#160;=&#160;</var><var>0</var></line>
<line linenr="009" indent="&#160;"><var>while&#160;</var><var>$y</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$my</var></line>
<line linenr="010" indent="&#160;&#160;"><var>$sector&#160;=&#160;</var><text>get&#160;sector&#160;from&#160;universe&#160;index:&#160;x=</text><var>$x</var><text>,&#160;y=</text><var>$y</var></line>
<line linenr="011" indent="&#160;&#160;"><var>if&#160;</var><var>$sector</var></line>
<line linenr="012" indent="&#160;&#160;&#160;"><var>$PirateBase&#160;=&#160;</var><text>&#160;find&#160;station:&#160;sector=</text><var>$sector</var><text>&#160;class&#160;or&#160;type=</text><var>Dock</var><text>&#160;race=</text><var>Pirates</var><text>&#160;flags=</text><var>null</var><text>&#160;refobj=</text><var>null</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="013" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$PirateBase</var></line>
<line linenr="014" indent="&#160;&#160;&#160;&#160;"><text>append&#160;</text><var>$PirateBase</var><text>&#160;to&#160;array&#160;</text><var>$bases</var></line>
<line linenr="015" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="016" indent="&#160;&#160;"><text>end</text></line>
<line linenr="017" indent="&#160;&#160;"><text>inc&#160;</text><var>$y&#160;=&#160;</var></line>
<line linenr="018" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="019" indent="&#160;"><text>end</text></line>
<line linenr="020" indent="&#160;"><text>inc&#160;</text><var>$x&#160;=&#160;</var></line>
<line linenr="021" interruptable="@" indent="&#160;"><var>=&#160;</var><text>wait&#160;</text><var>10</var><text>&#160;ms</text></line>
<line linenr="022" indent=""><text>end</text></line>
<line linenr="023" indent=""><text>remove&#160;element&#160;from&#160;array&#160;</text><var>$bases</var><text>&#160;at&#160;index&#160;</text><var>0</var></line>
<line linenr="024" indent=""><text>return&#160;</text><var>$bases</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="AAA.lib.pirate.find.base.array" /><sval type="int" val="25" /><sval type="string" val="get the list of pirate bases" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="8"><sval type="string" val="MajorBase" /><sval type="string" val="bases" /><sval type="string" val="mx" /><sval type="string" val="my" /><sval type="string" val="x" /><sval type="string" val="y" /><sval type="string" val="sector" /><sval type="string" val="PirateBase" /></sval><sval type="array" size="22"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="801" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="802" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607607" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608375" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="800" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609149" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="18"><sval type="int" val="794" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="12" /><sval type="int" val="2007" /><sval type="int" val="10" /><sval type="int" val="8" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610609149" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="5" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="4" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="10" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="6" /></sval><sval type="array" size="5"><sval type="int" val="136" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval></sval><sval type="int" val="0" /><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
